#include "SDL.h"

typedef int BOOL;

#define TRUE	1
#define FALSE	0

SDL_Surface *pScreen;


BOOL exInitSDL(Uint32 w, Uint32 h)
{
	if (SDL_Init(SDL_INIT_VIDEO) < 0)
		{
		fprintf(stderr, "Couldn't init SDL video: %s\n", SDL_GetError());
		return FALSE;
		}

	pScreen = SDL_SetVideoMode(w, h, 16, SDL_HWSURFACE);
	if (pScreen == NULL)
		{
		fprintf(stderr, "Unable to set 640x480 video: %s\n", SDL_GetError());
		return FALSE;
		}

return TRUE;
}

void exRelease(void)
{
	if (pScreen) 		SDL_FreeSurface(pScreen);
	pScreen = 0;

	SDL_Quit();
}

int main(int argc, char **argv)
{
SDL_Surface *pImg;

	exInitSDL(640, 480);

	if ((pImg = SDL_LoadBMP("welcome.bmp")))
		{
		/* We have successfully loaded the image */ 
		SDL_BlitSurface(pImg, NULL, pScreen, NULL);/* blit everything */
		SDL_UpdateRect(pScreen, 0,0,0,0);	/* the whole screen */
		SDL_Delay(2*1000);			/* 2 seconds */

		/* And then we must free the surface */ 
		SDL_FreeSurface(pImg);
		}

	exRelease();

return 0;
}

